## org.apache.cassandra.thrift
Enum CqlMetadata._Fields

    java.lang.Object
      java.lang.Enum<CqlMetadata._Fields>
          org.apache.cassandra.thrift.CqlMetadata._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CqlMetadata._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  CqlMetadata

    public static enum CqlMetadata._Fields

extends java.lang.Enum<CqlMetadata._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`DEFAULT_NAME_TYPE`
`DEFAULT_VALUE_TYPE`
`NAME_TYPES`
`VALUE_TYPES`

Method Summary
`static CqlMetadata._Fields` `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static CqlMetadata._Fields` `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static CqlMetadata._Fields` `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` `getFieldName()`
`short` `getThriftFieldId()`
`static CqlMetadata._Fields` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CqlMetadata._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAME_TYPES

    public static final CqlMetadata._Fields NAME_TYPES

### VALUE_TYPES

    public static final CqlMetadata._Fields VALUE_TYPES

### DEFAULT_NAME_TYPE

    public static final CqlMetadata._Fields DEFAULT_NAME_TYPE

### DEFAULT_VALUE_TYPE

    public static final CqlMetadata._Fields DEFAULT_VALUE_TYPE

Method Detail

### values

    public static CqlMetadata._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CqlMetadata._Fields c : CqlMetadata._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CqlMetadata._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static CqlMetadata._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static CqlMetadata._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static CqlMetadata._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2013 The Apache Software Foundation